
app:
  data:
    ingester:
      runCron: '0 * * ? * *' #each minute

files:
      #file-xml: classpath:data-example.xml
      file-xml: file:/app/data-example.xml


spring:
  jackson:
    serialization:
      INDENT_OUTPUT: true

  datasource:
    url: jdbc:h2:mem:mobilesdb
    driverClassName: org.h2.Driver
    username: sa
    password:
    
  jpa:
    database-platform: 'org.hibernate.dialect.H2Dialect'
  h2.console.enabled: true

  #logging:
#  level:
#    org.springframework:
#      security: DEBUG

springfox: 
  documentation:
    swagger:
      v2:
        path: /api-docs

management:
  endpoint:
    health:
      probes:
        enabled: true
      show-details: ALWAYS